/* 
-----------------------------------------
BASE
1. General
2. Typography (general + headings)
3. Links & buttons (links, buttons, skip-link)
4. Spacing
5. Backgrounds
6. Borders
7. Images
8. Breadcrumb
-----------------------------------------
*/

/** 1. GENERAL **/
html {
    scroll-behavior: smooth;
}

.scroll-to {
    display: block;
    position: relative;
    top: -112px;
    visibility: hidden;
}

img {
    max-width: 100%;
}

figure {
    margin-bottom: 0;
}

::selection {
    background-color: var(--primary-color);
    color: var(--text-white);
}

/** 2. TYPOGRAPHY **/
/* Change clamp-values according to chosen font-family*/
body, p, li {
    font-family: "Inter", sans-serif;
    font-weight: 400;
    font-size: clamp(1rem, calc(1rem + ((1vw - 0.36rem) * 0.1488)), 1.125rem);
    /*background-color: #FFFFFF;*/
    color: var(--text-white);
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}


    body.home {
        background-color: var(--primary-black);
    }

    body.subpage {
        background-color: #868686;
    }


/* Limiting width for readability */
p, li, h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6 {
   /* max-width: 80ch;*/
}

.max-width-300 {
    max-width: 300px;
}

b, strong {
    font-weight: 700;
}

p strong {
    font-weight: 700;
}

p.ingress {
    font-size: clamp(1.25rem, calc(1.25rem + ((1vw - 0.36rem) * 0.1488)), 1.375rem);
    font-weight: 500;
}

ol, ul {
    padding-left: 1rem;
}

.limit-1-line {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.limit-2-lines {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.limit-3-lines {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.limit-4-lines {
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.text-primary {
    color: var(--text-primary) !important;
}

.text-dark {
    color: var(--text-dark) !important;
}

.text-white {
    color: var(--text-white) !important;
}

/*Headings*/
/*Change clamp-values according to chosen font-family*/
h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6 {
    font-family: "Inter", sans-serif;
    line-height: 1.1;
    margin-bottom: 0.25em;
}

h1, .h1 {
    font-size: clamp(2rem, calc(2rem + ((1vw - 0.36rem) * 0.8929)), 2.75rem);
    font-weight: 700
}

h2, .h2 {
    font-size: clamp(1.75rem, calc(1.75rem + ((1vw - 0.36rem) * 0.4464)), 2.125rem);
    font-weight: 400;
}

h3, .h3 {
    font-size: clamp(1.5rem, calc(1.5rem + ((1vw - 0.36rem) * 0.1488)), 1.625rem);
    font-weight: 600;
}

h4, .h4 {
    font-size: 1.25rem;
    font-weight: 600;
}

h5, .h5 {
    font-size: 1.125rem;
    font-weight: 600;
}

h6, .h6 {
    font-size: 1rem;
    font-weight: 600;
}

.hero-content h1 {
    font-size: clamp(2.5rem, 1.8571rem + 1.7857vw, 4rem);
    font-weight: 400;
    color: var(--text-white);
}

    .hero-content h1 strong {
        font-weight: 800;
    }

p + h2,
p + h3,
p + h4,
p + h5,
p + h6,
p + .h2,
p + .h3,
p + .h4,
p + .h5,
p + .h6 {
    margin-top: 1.5em;
}

h2 + h3,
h3 + h4,
h4 + h5,
h5 + h6 {
    margin-top: 0.75em;
}

.tag {
    color: var(--text-primary);
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    text-transform: uppercase;
}

/** end TYPOGRAPHY **/



/** 3. LINKS & BUTTONS **/
a, a:link, a:active {
    color: var(--secondary-color);
    transition: 0.2s;
    font-weight: 600;
    text-decoration: none;
}

    a:hover {
        color: var(--primary-color);
    }

[type=button], [type=reset], [type=submit], button {
    -webkit-appearance: none;
}

    /* Buttons */
    a.btn,
    button.btn,
    button {
        display: inline-block;
        font-size: 1rem;
        background-color: var(--primary-color);
        color: var(--text-white);
        font-weight: 700;
        transition: all ease 0.2s;
        border: 1px solid var(--primary-color);
        border: none;
        transition: all ease-in-out .3s;
        border-radius: 50px;
        padding: 10px 30px;
        font-weight: 400;
    }

        a.btn:hover,
        a.btn:focus,
        a.btn:active,
        button.btn:hover,
        button.btn:focus,
        button.btn:active,
        button:hover,
        button:active {
            background-color: var(--secondary-color);
            color: var(--text-white);
            box-shadow: none;
        }

        /* Solid Button */
        a.btn.solid-btn,
        button.btn.solid-btn {
            background-color: var(--primary-color);
            color: var(--text-white);
            border: 1px solid var(--primary-color);
        }

            a.btn.solid-btn:hover,
            a.btn.solid-btn:focus,
            a.btn.solid-btn:active,
            button.btn.solid-btn:hover,
            button.btn.solid-btn:focus,
            button.btn.solid-btn:active {
                background-color: var(--secondary-color);
                background: linear-gradient(180deg, #1C8CA1, #1C8CA1 50%, #005770 50%);
                color: var(--text-white);
                border-color: var(--secondary-color);
                box-shadow: none;
            }

        /* Solid Button 2 */
        a.btn.solid-btn-2,
        button.btn.solid-btn-2 {
            display: inline-block;
            font-size: 0.875rem;
            background-color: var(--secondary-color);
            padding: 1.25rem 1.5rem;
            color: var(--text-white);
            font-weight: 700;
            transition: all ease 0.2s;
            border: 1px solid var(--secondary-color);
            border: none;
            border-radius: 0;
            text-transform: uppercase;
            transition: all ease-in-out .3s;
        }

            a.btn.solid-btn-2:hover,
            a.btn.solid-btn-2:focus,
            a.btn.solid-btn-2:active,
            button.btn.solid-btn-2:hover,
            button.btn.solid-btn-2:focus,
            button.btn.solid-btn-2:active {
                background: var(--primary-color);
                color: var(--text-white);
                border-color: var(--primary-color);
                box-shadow: none;
            }


        /* Outline button */
        a.btn.outline-btn,
        button.btn.outline-btn {
            color: var(--primary-color);
            border: 2px solid var(--primary-color);
            background: transparent;
        }

            a.btn.outline-btn:hover,
            a.btn.outline-btn:focus,
            a.btn.outline-btn:active,
            button.btn.outline-btn:hover,
            button.btn.outline-btn:focus,
            button.btn.outline-btn:active {
                color: var(--secondary-color);
                border-color: var(--secondary-color);
                background: transparent;
            }

        /*Focus on tabbing. Important for accessibility*/
        a:focus-visible,
        button:focus-visible,
        input:focus-visible,
        .navbar-toggler:focus-visible {
            outline: var(--primary-color) dotted 2px;
            outline-offset: 2px;
        }

/* ------- Skip to content ------- */
.skip-to-content {
    position: absolute;
    z-index: 1201;
    margin: 1rem;
}

a.skip-to-content-btn {
    display: inline-block;
    font-weight: 500;
    background-color: var(--primary-color);
    padding: 0.75em 2em;
    color: var(--text-white);
    border: 1px solid var(--primary-color);
}



/** end LINKS & BUTTONS **/



/** 4. SPACING **/
/* ------ Spacing utilities ------ */

.rte-container {
    max-width: 1000px;
    margin: 0 auto;
}

    .rte-container.richtext-content img {
        max-width: 100%;
        height: auto;
    }

@media (min-width: 992px) {
    .rte-container.richtext-content img {
        float: left;
        padding: 1rem;
        padding-left: 0;
        padding-right: 2rem;
    }
}

.container-x {
    max-width: 1600px;
    margin: 0 auto;
    padding-left: 1rem;
    padding-right: 1rem;
}

.container-y {
    padding-top: clamp(2.5rem, calc(2.5rem + ((1vw - 0.36rem) * 4.6875)), 5rem);
    padding-bottom: clamp(2.5rem, calc(2.5rem + ((1vw - 0.36rem) * 4.6875)), 5rem);
}

@media (min-width: 576px) {
    .container-x {
        padding-left: 3rem;
        padding-right: 3rem;
    }
}

/** 5. BACKGROUNDS **/
/* ---------- Backgrounds ---------- */
.bg-img {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

    .bg-img.contain {
        background-size: contain;
    }


/* Primary */
.bg-primary {
    background-color: var(--primary-color) !important;
}

/* Secondary */
.bg-secondary {
    background-color: var(--secondary-color) !important;
}


/* Neutral */
.bg-light {
    background-color: var(--neutral-color-light) !important;
}

.bg-dark {
    background-color: var(--neutral-color-dark) !important;
}

.bg-white {
    background-color: #ffffff !important;
}

.bg-transparent {
    background-color: transparent !important;
}


/** 6. BORDERS **/
/* ---------- Borders ---------- */

.border {
    border: 2px solid !important;
}

.border-left {
    border-left: 2px solid !important;
}

.border-top {
    border-top: 2px solid !important;
}

.border-right {
    border-right: 2px solid !important;
}

.border-bottom {
    border-bottom: 2px solid !important;
}

    .border.thin,
    .border-left.thin,
    .border-top.thin,
    .border-right.thin,
    .border-bottom.thin {
        border-width: 1px !important;
    }

    .border.thick,
    .border-left.thick,
    .border-top.thick,
    .border-right.thick,
    .border-bottom.thick {
        border-width: 4px !important;
    }

    .border.extra-thick,
    .border-left.extra-thick,
    .border-top.extra-thick,
    .border-right.extra-thick,
    .border-bottom.extra-thick {
        border-width: 6px !important;
    }

.border-primary {
    border-color: var(--primary-color) !important;
}

.border-secondary {
    border-color: var(--secondary-color) !important;
}

.border-dark {
    border-color: var(--neutral-color-dark) !important;
}

.border-light {
    border-color: var(--neutral-color-light) !important;
}

.border-white {
    border-color: #FFFFFF !important;
}

.no-border {
    border-left: none !important;
    border-top: none !important;
    border-right: none !important;
    border-bottom: none !important;
}

/** 7. IMAGES **/
/* ---------- Images ---------- */
.cover-img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}


.contain-img {
    height: 100%;
    width: 100%;
    object-fit: contain;
    object-position: center;
}

/** 8. Breadcrumb **/
/* ---------- Breadcrumb ---------- */
.breadcrumbs li {
    font-size: .875rem;
    letter-spacing: 3%;
}

    .breadcrumbs li a {
        color: #000;
        font-weight: 400;
    }

        .breadcrumbs li a:hover {
            color: var(--primary-color);
        }

    .breadcrumbs li.active {
        color: var(--primary-color);
    }

.top-element {
    background-color: var(--primary-color);
    height: 1.4rem;
}
